
#include <3ds.h>
#include <stdio.h>

int main(void) {
	PrintConsole topScreen;
	PrintConsole botScreen;
	
	gfxInitDefault(); //initalize graphics
	
	consoleInit(GFX_TOP, &topScreen);
	consoleInit(GFX_BOTTOM, &botScreen);
	
	consoleSelect(&topScreen);
	
	printf("This is a test.");
	
	while (aptMainLoop()) {
		gfxSwapBuffers();
		gfxFlushBuffers();
		gspWaitForVBlank();
		
		hidScanInput();
		u32 kDown = hidKeysDown();
		
		if (kDown & KEY_START)
			break; // break in order to return to hbmenu
	
	}
	gfxExit();
	return 0;
}
